/*!
Theme Name: Understanding AI
Theme URI: https://understandingai.iea.usp.br
Template: kadence
Author: Awpha
Author URI: https://www.awpha.com.br/
Description: Tema filho de Kadence para Understanding AI.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
Text Domain: uai-theme
*/

/* Theme customization starts here
-------------------------------------------------------------- */
.wrap {
	background: white;
}
div.entry-hero-container-inner,
.content-area {
	background: white;
}

.navigation.pagination {
	display: inline-block;
	width: 100%;
	text-align: center;
}

/* Single */
.single header.bg-img {
	isolation: isolate;
	padding-top:3rem;
	padding-bottom:3rem;
}
.single .bg-img-wrapper {
	position: absolute;
	inset: 0;
	z-index: -1;
	overflow: hidden;
}
.single .bg-img-wrapper::after {
	content: '';
	position: absolute;
	inset: 0;
	background: #0d2e50;
	opacity: .65;
}
.single .bg-img-wrapper img {
	width:100%;
	height: 100%;
	object-fit: cover;
	filter: blur(5px);
}
.single header.bg-img .entry-taxonomies,
.single header.bg-img .entry-taxonomies .category-links,
.single header.bg-img .entry-taxonomies a {
	text-align: center;
	color: white;
}
.single header.bg-img .entry-meta,
.single header.bg-img .entry-meta a {
	justify-content: center;
	color: white;
}
.single header.bg-img .entry-title {
	text-align: center;
	color: white;
}


.site-header-row-container-inner {
	box-shadow: 0 2px 12px rgba(0,0,0,0.12);
}

.pagination .prev,
.pagination .next {
	padding-right: 10px;
	padding-left: 10px;
}

/* MODAL */
.modal_section {
	height: 0;
}
.modal {
	z-index: -10;
	position: fixed !important;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: calc(100vw - 40px);
	width: 960px !important;
	max-height: 87vh;
	max-height: 90svh;
}
.modal .elementor-column,
.modal .elementor-widget-wrap {
}
.modal.is-open {
	z-index: 100;
}
.modal.is-open > div {
	background: white;
	padding: 2rem;
	overflow-y: auto;
}
.modal .modal_close {
	position: absolute;
	top: 1rem;
	right: 1rem;
	z-index: 5;
}
.modal .modal_close svg {
	right: 0;
	position: absolute;
    cursor: pointer;
}
.modal_open {
	cursor: pointer;
}

.modal-backdrop {
	position: fixed;
	inset: 0;
	background: rgba(0,0,0,.5);
	z-index: 90;
	opacity: 0;
	transition: opacity .3s ease;
}
.modal-backdrop.show {
	opacity: 1;
}

.el-is-editing .modal_section {
	height: auto;
}
.el-is-editing .modal {
	z-index: 10;
	position: relative !important;
	transform: translate(0);
	top: inherit;
	left: inherit;
}
/* END MODAL */
